summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorVadim A. Misbakh-Soloviov <mva@mva.name>2013-01-07 22:27:23 +0700
committerVadim A. Misbakh-Soloviov <mva@mva.name>2013-01-07 22:27:23 +0700
commitaa3b5441e325213368af44596da594b3c652f809 (patch)
tree6def7cc33078901adeea9097716be5ec60cd7c38 /eclass
parent[media-libs/libsdl] Experimental ebuild for 2.0 (diff)
downloadgamerlay-aa3b5441e325213368af44596da594b3c652f809.tar.gz
gamerlay-aa3b5441e325213368af44596da594b3c652f809.tar.bz2
gamerlay-aa3b5441e325213368af44596da594b3c652f809.zip
[eclass] bump nixstaller to support gzipped tarballs (like in overgrowth)
Signed-off-by: Vadim A. Misbakh-Soloviov <mva@mva.name>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/unpacker-nixstaller.eclass12
1 files changed, 11 insertions, 1 deletions
diff --git a/eclass/unpacker-nixstaller.eclass b/eclass/unpacker-nixstaller.eclass
index c2c8090..74ed2ba 100644
--- a/eclass/unpacker-nixstaller.eclass
+++ b/eclass/unpacker-nixstaller.eclass
@@ -35,6 +35,16 @@ nixstaller_unpack() {
for i in $unpack_files ; do
unpack_banner "$i"
# Make sure that file exists
- [[ -f "./$i" ]] && tar Jxf "./$i" || die "Failed to unpack $i"
+ [[ -f "./$i" ]] && (
+ local type=$(file -b ${i})
+ case ${type} in
+ data)
+ tar -xJf "./$i"
+ ;;
+ gzip*)
+ tar -xzf "./$i"
+ ;;
+ esac
+ ) || die "Failed to unpack $i"
done
}